<?php
/**
 * Template part for displaying the news footer on the right side of the page for news pages.
 *
 * @package MarComm-AUX
 * @since 1.0.0
 */
declare(strict_types=1);

use WP_AUX\Entities\AuxFramework\Partials\SocialLinkCollectionEntity;
use WP_AUX\Entities\PageTemplateEntity;
use WP_AUX\Services\AuxFramework\PageComponentsService;

$auxTemplate = PageTemplateEntity::getRequested();

$socialLinks = SocialLinkCollectionEntity::createLeftBlock('Share this News');
?>
<section class="section-wrap">
  <div class="news-footer">
    <span class="news-footer__divider">
      <img src="https://aux.tamu.edu/logos/boxTAM-noreg.svg" alt="">
    </span>
    <div class="news-footer__container">
      <?php
        echo PageComponentsService::getTagsCollection();
        $auxTemplate->renderTemplatePart('footer-contact');
        echo $socialLinks;
      ?>
    </div>
  </div>
</section>
